/*
**	$Id: gip.h 952 2007-02-13 13:21:43Z gromeck $
**
**	Copyright (c) 2004 by Christian Lorenz
**
**	GIP API header
*/

#ifndef __GIP_H__
#define __GIP_H__ 1

#if HAVE_LIBMAGICK
#include <magick/api.h>
#include <magick/ImageMagick.h>
#endif
#if HAVE_LIBIL
#include <IL/il.h>
#include <IL/ilu.h>
#endif

#include "audio.h"
#include "color.h"
#include "error.h"
#include "geometry.h"
#include "times.h"
#include "image.h"
#include "index.h"
#include "progress.h"
#include "transition.h"

/*
**	global to define the quick mode
*/
extern int _gip_quick;

/*
**	init and exit all the APIs
*/
int GIP_init(int quick,const char *title,const char *logfile);
int GIP_exit(void);

/*
**	return a version string
*/
const char *GIP_version(char *version);

#endif

/**/
